Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.testing
Class ExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javolution.testing.ExecutionException

All Implemented Interfaces:
  java.io.Serializable

    public class ExecutionException

extends java.lang.RuntimeException

This class represents an unexpected exception which might be raised during test execution.

Version:
  5.3, January 15, 2008
Author:
  Jean-Marie Dautelle
See Also:
  Serialized Form

Constructor Summary
`ExecutionException(java.lang.String message)` Creates an execution exception with the specified message.
`ExecutionException(java.lang.Throwable cause)` Creates an execution exception due to an unexpected error.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this exception.
`java.lang.String` | `toString()` Returns the textual representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionException

    public ExecutionException(java.lang.String message)

  Creates an execution exception with the specified message.

  Parameters:
    `message` - the error message.

### ExecutionException

    public ExecutionException(java.lang.Throwable cause)

  Creates an execution exception due to an unexpected error.

  Parameters:
    `cause` - the error.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this exception.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the exception cause or `null`.

### toString

    public java.lang.String toString()

  Returns the textual representation of this exception.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the string representation of the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2009 Javolution.